package com.jay.monitor.data.server.report.mysql;

import com.jay.monitor.data.server.daos.JayMonitorUrlMapperExt;
import com.jay.monitor.data.server.report.CountReport;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Module TODO
 * @Description TODO
 * @Athor liukaixiong
 * @Date 2020/12/16 10:55
 */
//@Component
public class UrlCountReportInvoke implements CountReport {

    private String name = "URL 请求样本参数值";

    @Autowired
    private JayMonitorUrlMapperExt urlMapperExt;

    @Override
    public String reportName() {
        return name;
    }

    @Override
    public Long count(String date) {
        return urlMapperExt.selectAllCount(date);
    }

}
